Bug 324875

Summary: Add '-xn' option to ffmpeg string
Product: amarok Reporter: for.ksarv
Component: TranscodingAssignee: Amarok Developers <amarok-bugs-dist>
Status: RESOLVED FIXED    
Severity: normal CC: matej, teo
Priority: NOR    
Version: 2.8.0   
Target Milestone: 2.9   
Platform: Archlinux Packages   
OS: Linux   
Latest Commit: Version Fixed In:

Description for.ksarv 2013-09-13 09:12:50 UTC
I have an flac files with embended images.
When I try To convert it to ogg, ffmpeg makes a video stream with that image. 
Unfotuanly my DAP doesn't support video files and doesn't play anything in this case.
So I must convert files to mp3.

Reproducible: Always

Steps to Reproduce:
1. Embend image to flac (Amarok can do it by itself)
2. Convert it to ogg
3. See ogg file properties.
Actual Results:  
OGG file with video stream

Expected Results:  
OGG file without video stream
Comment 1 Mark Kretschmann 2013-09-13 09:29:29 UTC
Thanks for the report. Your proposal makes sense to me. I don't think we realized that a video file is being generated

I'll look into it soon.
Comment 2 Mark Kretschmann 2013-09-15 10:23:21 UTC
I'm sorry, ffmpeg has like 3 million parameters and I can't find -xn. Could you please paste the relevant parts of the man page here?
Comment 3 for.ksarv 2013-09-15 12:18:59 UTC
Sorry. My fail. It's '-vn' option.
http://www.ffmpeg.org/ffmpeg.html#Stream-selection
Comment 4 Mark Kretschmann 2013-09-15 13:34:40 UTC
Git commit 088cb0f0c5e3930a008d09bb1623671db1712ff1 by Mark Kretschmann.
Committed on 15/09/2013 at 13:32.
Pushed by markey into branch 'master'.

When transcoding to Vorbis, never generate video stream.

When an image is embedded in the track, FFmpeg generates a video
stream. This breaks playback on some devices.

M  +2    -2    src/core/transcoding/formats/TranscodingVorbisFormat.cpp

http://commits.kde.org/amarok/088cb0f0c5e3930a008d09bb1623671db1712ff1
Comment 5 vedant agarwala 2014-05-21 10:42:29 UTC
Git commit 1669a01e1379dc0353800462ae98ec7fbde09dbc by Vedant Agarwala, on behalf of Mark Kretschmann.
Committed on 15/09/2013 at 13:32.
Pushed by vedanta into branch 'tagguessing'.

When transcoding to Vorbis, never generate video stream.

When an image is embedded in the track, FFmpeg generates a video
stream. This breaks playback on some devices.

M  +2    -2    src/core/transcoding/formats/TranscodingVorbisFormat.cpp

http://commits.kde.org/amarok/1669a01e1379dc0353800462ae98ec7fbde09dbc